Loading...
Searching...
No Matches
_starpu_driver_info Struct Reference

`#include <workers.h>`

## Data Fields

const char * | name_upper
const char * | name_var
const char * | name_lower
enum starpu_node_kind | memory_kind
double | alpha
unsigned | wait_for_worker_initialization
const struct _starpu_driver_ops * | driver_ops
void *(* | run_worker )(void *)
void(* | init_worker_binding )(struct _starpu_machine_config *config, int no_mp_config STARPU_ATTRIBUTE_UNUSED, struct _starpu_worker *workerarg)
void(* | init_worker_memory )(struct _starpu_machine_config *config, int no_mp_config STARPU_ATTRIBUTE_UNUSED, struct _starpu_worker *workerarg)
hwloc_obj_t(* | get_hwloc_obj )(hwloc_topology_t topology, int devid)

## Detailed Description

Provides information for a device driver

## Field Documentation

## name_upper

const char* _starpu_driver_info::name_upper

Name of worker type in upper case

## name_var

const char* _starpu_driver_info::name_var

Name of worker type for environment variables

## name_lower

const char* _starpu_driver_info::name_lower

Name of worker type in lower case

## memory_kind

enum starpu_node_kind _starpu_driver_info::memory_kind

Kind of memory in device

## alpha

double _starpu_driver_info::alpha

Typical relative speed compared to a CPU core

## wait_for_worker_initialization

unsigned _starpu_driver_info::wait_for_worker_initialization

Whether we should make the core wait for worker initialization before starting other workers initialization

## driver_ops

const struct _starpu_driver_ops* _starpu_driver_info::driver_ops

optional: Driver operations

## run_worker

void *(* _starpu_driver_info::run_worker) (void *)

Actually run the worker

## init_worker_binding

void(* _starpu_driver_info::init_worker_binding) (struct _starpu_machine_config *config, int no_mp_config STARPU_ATTRIBUTE_UNUSED, struct _starpu_worker *workerarg)

Setup worker CPU binding

## init_worker_memory

void(* _starpu_driver_info::init_worker_memory) (struct _starpu_machine_config *config, int no_mp_config STARPU_ATTRIBUTE_UNUSED, struct _starpu_worker *workerarg)

Setup worker memory node

## get_hwloc_obj

hwloc_obj_t(* _starpu_driver_info::get_hwloc_obj) (hwloc_topology_t topology, int devid)

optional: Return the hwloc object corresponding to this device

The documentation for this struct was generated from the following file:

- workers.h